select
 an.numero as numero,
 lac.dtinicio as data_inicio,
 lac.dtfim as data_fim,
 (case when exists
(select * from mamite re where re.cdanimal = an.cdanimal and
((re.ad in (0,1,2)) or (re.ae in (0,1,2)) or (re.pd in (0,1,2)) or (re.pe in (0,1,2))) and re.data between lac.dtinicio and (lac.dtinicio + 60))
then 'Sim' else 'No' end) as mastite_60_dias,
 (case when exists
(select * from mamite re where re.cdanimal = an.cdanimal and
((re.ad in (0,1,2)) or (re.ae in (0,1,2)) or (re.pd in (0,1,2)) or (re.pe in (0,1,2))) and re.data between lac.dtinicio and (lac.dtinicio + 30))
then 'Sim' else 'No' end) as mastite_30_dias
from
animal an
join lactacao lac on lac.cdanimal = an.cdanimal
join reproducao par on par.cdanimal = lac.cdanimal and par.data = lac.dtinicio and par.cdtiporeproducao = 7
-- left join mamite ma on ma.cdanimal = lac.cdanimal and ((ma.ad in (0,1,2)) or (ma.ae in (0,1,2)) or (ma.pd in (0,1,2)) or (ma.pe in (0,1,2)))
-- and ma.data between lac.dtinicio and coalesce(lac.dtfim, current_date)
--where
order by
an.numero
, lac.dtinicio
